Package org.eclipse.draw2d

# Class ArrowLocator

java.lang.Object
org.eclipse.draw2d.AbstractLocator
org.eclipse.draw2d.ConnectionLocator
org.eclipse.draw2d.ArrowLocator

All Implemented Interfaces:
  `Locator`

public class ArrowLocator extends ConnectionLocator
Locator used to place a `RotatableDecoration` on a `Connection`. The decoration can be placed at the source or target end of the connection figure. The default connection implementation uses a `DelegatingLayout` which requires locators.

## Field Summary

### Fields inherited from class org.eclipse.draw2d.ConnectionLocator

`END, MIDDLE, MIDPOINT, SOURCE, START, TARGET`

## Constructor Summary

Constructors
Constructor
Description
`ArrowLocator(Connection connection, int location)`
Constructs an ArrowLocator associated with passed connection and tip location (either `ConnectionLocator.SOURCE` or `ConnectionLocator.TARGET`).

## Method Summary

Modifier and Type
Method
Description
`void`
`relocate(IFigure target)`
Relocates the passed in figure (which must be a `RotatableDecoration`) at either the start or end of the connection.

### Methods inherited from class org.eclipse.draw2d.ConnectionLocator

`getAlignment, getConnection, getLocation, getReferencePoint, setAlignment, setConnection`

### Methods inherited from class org.eclipse.draw2d.AbstractLocator

`getGap, getNewBounds, getRelativePosition, setGap, setRelativePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ArrowLocator

public ArrowLocator(Connection connection, int location)
Constructs an ArrowLocator associated with passed connection and tip location (either `ConnectionLocator.SOURCE` or `ConnectionLocator.TARGET`).

Parameters:
  `connection` - The connection associated with the locator
  `location` - Location of the arrow decoration
Since:
  2.0

## Method Details

### relocate

public void relocate(IFigure target)
Relocates the passed in figure (which must be a `RotatableDecoration`) at either the start or end of the connection.

Specified by:
  `relocate` in interface `Locator`
Overrides:
  `relocate` in class `AbstractLocator`
Parameters:
  `target` - The RotatableDecoration to relocate